### Method

# Json Node get_double

#### Declaration [src]

    gdouble
    json_node_get_double (
      JsonNode* node
    )

#### Description [src]

Gets the double value stored inside a node.

If the node holds an integer value, it is returned as a double.

If the node holds a `FALSE` boolean value, `0.0` is returned; otherwise a non-zero double is returned.

If the node holds a `JSON_NODE_NULL` value or a value of another non-double type, `0.0` is returned.

#### Return value

Type: `gdouble`

A double value.